Public Class AppConfig
#Region "Private Shared Variables"
  Private Shared mDirtyControlsList As DirtyControls = Nothing
#End Region

#Region "Public Shared Properties"
  Public Shared Property DirtyControlsList() As DirtyControls
    Get
      If mDirtyControlsList Is Nothing Then
        LoadDirtyControls()
      End If
      Return mDirtyControlsList
    End Get
    Set(ByVal value As DirtyControls)
      mDirtyControlsList = value
    End Set
  End Property
#End Region

#Region "LoadDirtyControls Method"
  Private Shared Sub LoadDirtyControls()
    ' Load up the DirtyControls List
    mDirtyControlsList = New DirtyControls()
    mDirtyControlsList.LoadControls(AppConfig.GetCurrentDirectory() & "XML/DirtyControls.xml")
  End Sub
#End Region

#Region "GetCurrentDirectory Method"
  Public Shared Function GetCurrentDirectory() As String
    Dim strPath As String

    strPath = Environment.CurrentDirectory()

    If strPath.EndsWith("bin\Debug") Then
      strPath = strPath.Substring(0, strPath.IndexOf("bin"))
    Else
      strPath &= "\"
    End If

    Return strPath
  End Function
#End Region
End Class
